| GET | /RestApi/recycle-bin/items/{id} |
|---|
export class RecycelBinItemRequestBase
{
public Id: string;
public constructor(init?: Partial<RecycelBinItemRequestBase>) { (Object as any).assign(this, init); }
}
export class RecycleBinItemProxy
{
public Id: string;
public ProviderName: string;
public ItemTypeName: string;
public DisplayTypeName: string;
public DataItemId: string;
public ItemTitle: string;
public Status: string;
public StatusText: string;
public ItemLanguage: string;
public OwnerName: string;
public DateCreated: string;
public ParentTypeName: string;
public ParentTitlesPath: string;
public constructor(init?: Partial<RecycleBinItemProxy>) { (Object as any).assign(this, init); }
}
export class GetRecycleBinItem extends RecycelBinItemRequestBase
{
public constructor(init?: Partial<GetRecycleBinItem>) { super(init); (Object as any).assign(this, init); }
}
TypeScript GetRecycleBinItem DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}